#pragma rtGlobals=1		// Use modern global access method.

//////////////////////ROI 2 cartesian//////////////////////
function ROI2Cartesian(ROIWave, outputwave)
wave ROIWave
string outputwave

variable xdim, ydim, xcount, ycount, roinumber = 0, roicount = 0, pixelcount, roicountmax = 0

xdim = dimsize(ROIWave, 0)
ydim = dimsize(ROIWave, 1)

ycount = 0
do
	xcount = 0
	do
		if (ROIwave[xcount][ycount] < -roinumber)
			roinumber = -ROIwave[xcount][ycount]
		endif
	xcount +=1
	while (xcount < xdim)
ycount +=1
while (ycount < ydim)

make /c/o/n=(roinumber, round(xdim*ydim/roinumber)) R2C_calcwave = -1

roicount = 0
do
	pixelcount = 0
	ycount = 0
	do
		xcount = 0
		do
			if (ROIwave[xcount][ycount] == -(roicount + 1))
				R2C_calcwave[roicount][pixelcount] = cmplx(xcount,ycount)
				pixelcount +=1
				if (pixelcount > roicountmax)
					roicountmax = pixelcount
				endif
			endif
		xcount +=1
		while (xcount < xdim)
	ycount +=1
	while (ycount < ydim)
roicount +=1
while (roicount < roinumber)


redimension /n=(roinumber, roicountmax) R2C_calcwave 
duplicate /o R2C_calcwave, $outputwave
killwaves /z R2C_calcwave

return roicountmax
end
////////////////////////cartesian 2 image//////////////////
function Cartesian2Image(CartWave, outputwave)
wave /c CartWave
wave outputwave

variable  roinumber, roicount = 0, pixelnumber, pixelcount

roinumber = dimsize(cartWave, 0)
pixelnumber = dimsize(cartWave, 1)

do
	pixelcount = 0
	do
		if(real(cartwave[roicount][pixelcount]))
		outputwave[real(cartwave[roicount][pixelcount])][imag(cartwave[roicount][pixelcount])] = -roicount - 1
		endif
	pixelcount +=1
	while (pixelcount < pixelnumber)

roicount +=1
while (roicount < roinumber)

end