#pragma rtGlobals=1		// Use modern global access method.

function findpeaks(inputwave, threshold, direction, width, outputname)
wave inputwave
variable threshold, direction, width
string outputname

variable multiplier, counter = 0, positioncounter = 0, widthcounter, peakcounter = 0

if (direction < 0)
	multiplier = -1
else 
	multiplier = 1
endif


variable xdim = dimsize(inputwave,0)

make /c/o/n=(xdim) fpcalcwave 		//real = x position, imag = y position


do
	
	if (inputwave[counter] > (multiplier * threshold))
		fpcalcwave[peakcounter] = cmplx(counter, inputwave[counter])
		widthcounter = counter
		do
			if (inputwave[widthcounter] > multiplier*imag(fpcalcwave[counter]))
				fpcalcwave[peakcounter] = cmplx(widthcounter, inputwave[widthcounter])
			endif
		
			widthcounter +=1
		while (widthcounter < (counter + width))
		counter = widthcounter
		peakcounter +=1
	else
		counter +=1
	endif
	
	
while(counter < xdim)


redimension /n=(peakcounter) fpcalcwave 
duplicate /o fpcalcwave, $outputname
killwaves /z fpcalcwave
return peakcounter
end