#pragma rtGlobals=1		// Use modern global access method.

function getfrequency(sourcewave, deltat, outputwave)
wave sourcewave
string outputwave
variable deltat	//time step in seconds

variable length, counter = 0, previous1 = 0, current1 = 0, next1 =0 

length = dimsize(sourcewave, 0)
make /o/n=(length) gfcalcwave = sourcewave

do
	if (sourcewave[counter] == 1)
		if (previous1 == 0)
			previous1 = counter
		elseif (current1 == 0)
			current1 = counter
			gfcalcwave = (current1 - previous1) / deltat
		elseif (next1 == 0)
			next1 = counter
		else
			gfcalcwave[current1] = 2/(deltat*(next1 - previous1)) 
			previous1 = current1
			current1 = next1
			next1 = counter
		endif
	endif
counter = counter +1
while (counter < length)



make /o/n=(length) $outputwave = gfcalcwave
killwaves /z gfcalcwave
end
