#pragma rtGlobals=1		// Use modern global access method.
#include "Equalizescaling"

Function ImageInterpolate3D(image, factor)

wave image
variable factor

duplicate /o image M_InterpolatedImage3D, frame
redimension /n=(-1,-1) frame

variable ii, zdim=dimsize(image,2), xdim=dimsize(image,0),ydim=dimsize(image,1)

redimension /n=(xdim*factor,ydim*factor,-1) M_InterpolatedImage3D
CopySize(image,M_InterpolatedImage3D)

wave /z M_InterpolatedImage

for (ii=0;ii<zdim;ii+=1)

	frame[][] = image[p][q][ii]
	
	imageinterpolate /func=cubic /trns={scaleshift,0,factor,0,factor} resample frame
	
	M_InterpolatedImage3D[][][ii] = M_InterpolatedImage[p][q]


endfor




end

