#pragma rtGlobals=1		// Use modern global access method.



Function ManusIntegral(PopWave,bl1start, bl1end, stim1start,stim1end,bl2start,bl2end,stim2start,stim2end)
Wave PopWave
Variable bl1start, bl1end, stim1start,stim1end,bl2start,bl2end,stim2start,stim2end

variable bl1time,stim1time,bl2time,stim2time, nx, ii, np
nx = DimSize(PopWave,0)
np = DimSize(PopWave,1)

bl1time=bl1end-bl1start
stim1time=stim1end-stim1start
bl2time=bl2end-bl2start
stim2time=stim2end-stim2start

make /o /n=(np) TS1response, TS2Response, TSRatio

Wave line = NewFreeWave(2,nx)
SetScale /p x,DimOffset(PopWave,0),DimDelta(PopWave,0),WaveUnits(PopWave,0) line


For(ii=0;ii<np;ii+=1)
	
	MultiThread line = PopWave[p][ii]
	MultiThread TS1response[ii]=area(line, stim1start,stim1end) - area(line,bl1start,bl1end)*stim1time/bl1time
	MultiThread TS2response[ii]=area(line, stim2start,stim2end) - area(line,bl2start,bl2end)*stim2time/bl2time
	
	
EndFor


MultiThread TSRatio = TS1Response / TS2Response



End

//////////////////////////////////////


Function RunMI()
String PopWave, CatWave
Variable bl1start, bl1end, stim1start,stim1end,bl2start,bl2end,stim2start,stim2end

prompt CatWave, " wave,responseof3", popup,WaveList("*",";","DIMS:1")+"_none_"
prompt PopWave, "Name of the wave, _Nor", popup,WaveList("*",";","DIMS:2")

prompt BL1start, "BL1 start (s)"
prompt BL1end, "BL1 end"
prompt stim1start, "1st start (s)"
prompt stim1end, "1st end"
prompt BL2start, "BL2 start (s)"
prompt BL2end, "Bl2 end"
prompt stim2start, "2st start (s)"
prompt stim2end, "2st end"



doprompt "Your variables, please", CatWave, PopWave, bl1start, bl1end, stim1start,stim1end,bl2start,bl2end,stim2start,stim2end

if(v_flag)
	return -1
endif

ManusIntegral($PopWave,bl1start, bl1end, stim1start,stim1end,bl2start,bl2end,stim2start,stim2end)
wave TSRatio


//<-----
ResultsByCat(TSRatio,$CatWave,1)
wave results
duplicate /o results, TSRatioON

ResultsByCat(TSRatio,$CatWave,2)
duplicate /o results, TSRatioFF

killwaves/z results

End

