#pragma rtGlobals=1		// Use modern global access method.


function PopStat(popwave, target) //statistics along X axis

wave popwave
string target

variable xdim, ydim = dimsize(popwave, 1)
variable counter

xdim =  dimsize(popwave, 0)

make /o/n=(xdim) avg = 0
make /o/n=(xdim) SD = 0



for (counter=0;counter<xdim;counter+=1)

imagestats /M=2 /GS={counter,counter,0,ydim-1} popwave
 avg [counter] = v_avg

 SD[counter] = v_sdev
 
 if(v_flag == -1)
 	print counter
 endif
endfor


print v_flag

duplicate /o avg, $target+"_avg"
duplicate /o SD, $target+"_SD"
killwaves /z avg, sd
end

