#pragma rtGlobals=1		// Use modern global access method.

Function PoPWaveBrowser()

string Information = IgorInfo(0), infolist, infolist2, infolist3
variable screenright, screenbottom
string /g g_popwavename, g_PopWaveIndexStr="No wave selected"
variable /g g_popWaveIndex=0

infolist = StringFromList(4,information,";")
infolist2 = StringFromList(3,infolist,",")
infolist3 = StringFromList(4,infolist,",")
screenright = Str2Num(infolist2)
screenbottom = Str2Num(infolist3)

variable left=round(screenright/2), top = round(screenbottom/2)
variable halfheight = 170, halfwidth = 370


If (WinType("PoPBrowser"))
	doWindow /F PoPBrowser
else
	NewPanel /K=2 /N=PoPBrowser /W = (left-halfwidth,top-halfheight,left+halfwidth, top+halfheight) as "Pop Browser"
	Groupbox GBx1 pos={5,5}, size={730,40}
	PopupMenu PopSelect, pos={150,15}, bodywidth=170, proc=PWB_PMC, mode=1, title="PoP", popvalue="Select a populationwave", value=WaveList("*",";","TEXT:0,DIMS:2")+";_none_"
	Button Prev, pos={470,15}, bodywidth=40, proc=PWB_BC, title="<<", disable=2
	Button Next, pos={530,15}, bodywidth=40, proc=PWB_BC, title=">>", disable=2
	Button PWBQuit, pos={670,15}, bodywidth=60,  proc=PWB_BC, title="Quit"
	Button PWB2Clip, pos={600,15}, size={60,20},  proc=PWB_BC, title=" To Clip "
	Display /Host=PopBrowser /n=PopTrace /w=(5,50,735,335)
	TitleBox PWBIndex, frame=0, pos={300,17}, size={140,15}, title="Index:", variable=g_PopWaveIndexStr
	SetVariable PWB_SV, disable=2, bodywidth=50,pos={240,17},proc=PWB_VC, title="Index:",limits={-inf,inf,1},value=g_popWaveIndex



endif


End

///////////////////////////////////////////

Static Function DisplayPopInCP(popwave, index)
wave popwave
variable index

If(Wintype("PoPBrowser#PopTrace"))
	KillWindow PoPBrowser#PopTrace;delayupdate
endif

if(index>dimsize(popwave,1))
	index=0
endif

Display /Host=PopBrowser /n=PopTrace /w=(5,50,735,335) popwave[][index]



end


///////////////////Popup Control///////////////////////////


Function PWB_PMC (ctrlName,popNum,popStr) : PopupMenuControl
	String ctrlName
	Variable popNum	// which item is currently selected (1-based)
	String popStr		// contents of current popup item as string
	
	variable /g g_popWaveIndex
	string /g g_popwavename, g_PopWaveIndexStr
	
	StrSwitch(ctrlName)
	
	Case "PopSelect":
	
	g_popWaveName=popStr
	g_popWaveIndex=0
	g_PopWaveIndexStr=g_popwavename+"[]["+num2str( g_popWaveIndex)+"]"
	
		if(!stringmatch(popStr, "_none_"))
			DisplayPopInCP($popStr, g_popWaveIndex)
			g_popWaveName=popStr
			Button Prev, disable=0
			Button Next,  disable=0
			SetVariable PWB_SV, disable=0
		endif
	
	Break
	
	EndSwitch
	
End

///////////////////Button Control///////////////////////////


Function PWB_BC(ctrlName) : ButtonControl
	String ctrlName
	variable /g g_popWaveIndex
	string /g g_popwavename, g_PopWaveIndexStr
	
	StrSwitch (ctrlName)
	
	Case "Next":
		g_popWaveIndex += 1
		if(g_PopWaveIndex >= dimsize($g_popwavename, 1))
			g_popWaveIndex = 0
		endif
		g_PopWaveIndexStr=g_popwavename+"[]["+num2str( g_popWaveIndex)+"]"
		 DisplayPopInCP($g_popwavename, g_popwaveindex)
		
			
	Break
	
	Case "Prev":
		g_popWaveIndex -= 1
		if(g_PopWaveIndex < 0) 
			g_popWaveIndex = dimsize($g_popwavename, 1)-1
		endif
		g_PopWaveIndexStr=g_popwavename+"[]["+num2str( g_popWaveIndex)+"]"
		 DisplayPopInCP($g_popwavename, g_popwaveindex)
	
	
	Break
	
	Case "PWBQuit":
		killvariables /z g_popWaveIndex
		killstrings /z g_popwavename
		KillWindow PoPBrowser
	Break
	
	Case "PWB2Clip":
	
		PutScrapText g_popwavename+"[]["+num2str( g_popWaveIndex)+"]"
	
	Break
	
	Default:
		Print "Pressed undefined button: "+ctrlName
	
	EndSwitch
	
	
End

///////////////////Variable Control///////////////////////////


Function PWB_VC (ctrlName,varNum,varStr,varName) : SetVariableControl
	String ctrlName
	Variable varNum	// value of variable as number
	String varStr		// value of variable as string
	String varName	// name of variable
	
	variable /g g_popWaveIndex
	string /g g_popwavename, g_PopWaveIndexStr
	
	StrSwitch(ctrlName)
	
	Case "PWB_SV":
		if(VarNum >= dimsize($g_popwavename, 1))
			g_popWaveIndex = 0
		endif
		if(g_PopWaveIndex < 0) 
			g_popWaveIndex = dimsize($g_popwavename, 1)-1
		endif
		
		g_PopWaveIndexStr=g_popwavename+"[]["+num2str( g_popWaveIndex)+"]"
		 DisplayPopInCP($g_popwavename, g_popwaveindex)
	
	
	Break
	
	
	
	
	Default:
		Print "Set undefined variable: "+ctrlName
	Break
	EndSwitch
	
	
	
	
End