#pragma rtGlobals=1		// Use modern global access method.

Function CountROI(inputwave, outputwave)
Wave inputwave
String Outputwave


variable xdim, ydim, xcount = 0, ycount = 0, minval, maxval

If (DimSize(inputwave, 2))
	Print "Running thresholding on a stack"
	Print "Only First Layer will be affected"
endif

xdim = dimsize(inputwave, 0)
ydim = dimsize(inputwave, 1)



minval = inputwave[0][0]
maxval = inputwave[0][0]

//getting min/max values

do
	ycount = 0
	do
	if (inputwave[xcount][ycount] < minval)
		minval = inputwave[xcount][ycount]
	elseif (inputwave[xcount][ycount] > maxval)
		maxval = inputwave[xcount][ycount]
	endif
	ycount +=1
	while (ycount < ydim)
xcount +=1
while (xcount < xdim)


variable roinumber = -minval
if (roinumber == 0)
	return -1
endif

make /o /n=(roinumber) countcalcwave = 0

xcount = 0
do
	ycount = 0
	do
	
	if(inputwave[xcount][ycount] < 0)
		countcalcwave[-(inputwave[xcount][ycount]) - 1] +=1
	endif
	
	ycount +=1
	while (ycount < ydim)
xcount +=1
while (xcount < xdim)

SetScale/P x 1,1,"ROI number", countcalcwave

duplicate  countcalcwave, $outputwave
killwaves /z countcalcwave

end

//////////////////////////////////////////////////////////////////

