#pragma rtGlobals=1		// Use modern global access method.
#include "GetResponseType"
#include "modov"


function GRTpopup()

string wvname
variable start1=20,start2=30,start3=40,end1=25,end2=35,end3=45, thresh=0.5, bend1=19, bstart1=15, bstart2=26,bend2=29, bstart3=36,bend3=39


prompt wvname, "Name of the wave", popup,WaveList("*",";","DIMS:2")
prompt start1, "1st start (s)"
prompt end1, "1st end"
prompt bstart1, "1st baseline start (s)"
prompt bend1, "1st baseline end(s)"
prompt start2, "2nd start (-1 to ignore)" // enter -1 to ignore
prompt end2, "2nd end (-1 to ignore)"
prompt bstart2, "2st baseline start (s)"
prompt bend2, "2st baseline end(s)"
prompt start3, "3rd start (-1 to ignore)"
prompt end3, "3rd end (-1 to ignore)"
prompt bstart3, "3st baseline start (s)"
prompt bend3, "3st baseline end(s)"
prompt thresh, "Threshold"

doprompt "Your variables, please", wvname, thresh, start1,end1,bend1, bstart1,start2,end2,bstart2,bend2
doprompt "Your variables, please", start3,end3, bstart3,bend3

variable delta = dimdelta($wvname, 0)
start1 /= delta
end1 /=delta
start2 /= delta
end2 /= delta
start3 /= delta
end3 /= delta
bstart2/= delta
bend2/= delta
bstart3/= delta
bend3/= delta
bstart1/= delta
bend1/= delta

if(v_flag)
	return -1
endif

Print "1st response:"
Getresponsetype2($wvname, start1, end1, bstart1,bend1, thresh)
wave ResponseType
duplicate /o ResponseType, ResponseType1

if (start2)
	Print "2nd response:"
	Getresponsetype2($wvname, start2, end2,bstart2,bend2, thresh)
	duplicate /o ResponseType, ResponseType2
endif

if(start3)
	Print "3rd response:"
	Getresponsetype2($wvname, start3, end3, bstart3,bend3, thresh)
	duplicate /o ResponseType, ResponseType3
endif



variable tnum 
if(start3)
	duplicate /o responsetype, responseof3
	responseof3 = 0
	for (tnum=0;tnum<numpnts(responsetype1);tnum+=1)
		
		if((responsetype1[tnum] == 1 )|(responsetype2[tnum] == 1 )|(responsetype3[tnum] == 1 ))
			responseof3[tnum]=1
		elseif((responsetype1[tnum] == 2 )|(responsetype2[tnum] == 2 )|(responsetype3[tnum] == 2 ))
			responseof3[tnum]=2
		endif

	endfor
endif


variable namelength = strlen(wvname)
string roiwavename = wvname[0,namelength-4]+"ROI"
string imgwavename = wvname[0,9]+"thr"

print imgwavename

if (waveexists($roiwavename))
	Print "Found a ROI wave!"
	duplicate /o $roiwavename, overlay
	modov2(overlay,responseof3)
	display; modifygraph height=300, width=300	
	appendimage $imgwavename
	appendimage overlay;
	modifyimage overlay explicit=1,eval={0,65536,65536,65536},eval={1,0,65535,0},eval={2,65535,0,0} 	
endif


end