#pragma rtGlobals=1		// Use modern global access method.


Function MakeStim(wv,type)
wave wv
variable type

variable zpnts, zstep, a, b, ii

zpnts=dimsize(wv,2)
zstep=dimdelta(wv,2)

make /o/n=(zpnts,2) stim = 0
setscale /p x,0,zstep,waveunits(wv,2) stim
make /o/n=(6,2)	int

int[][0]={0.5,1.1,2.3,4.9,7.3,9.7}
int[][1]={0.5,1.1,2.4,4.9,7.4,9.4}
int/=4.9*pi


if(type==0)		//Amber / Blue increasing brightness "A_thresh+ B_thresh"

	For(ii=0;ii<6;ii+=1)
	
		a=round((10+4*ii)/zstep)
		b=round((11+4*ii)/zstep)-1
		stim[a,b][0]=int[ii][0]
		
		a=round((40+4*ii)/zstep)
		b=round((41+4*ii)/zstep)-1
		stim[a,b][1]=int[ii][1]
	
	EndFor

endif



end