#pragma rtGlobals=1		// Use modern global access method.
#include "M_Threshold"


Function ROIPatternSearch(picwave, roiwave,levels, xradius, yradius)
wave picwave, roiwave
variable levels,xradius, yradius

variable xdim,ydim,xcount, ycount, newroinumber = 0

xdim = dimsize(picwave, 0)
ydim = dimsize(picwave, 1)

if ((dimsize(ROIwave, 0) != xdim) | (dimsize(ROIwave, 1) != ydim))
	print "ROIwave doesn't match PICwave dimensions"
	print "Abort"
	return -1
endif


make /o/n=(xdim,ydim) RPScalcwave = 1		//in ROI <-->  <=0

variable minval = picwave[0][0]
variable maxval = picwave[0][0]

//getting min/max values

ycount = 0
do
	xcount = 0
	do
	
	
	
	
	xcount +=1
	while (xcount < xdim)
ycount +=1
while (ycount < ydim)

variable range = maxval - minval







string resultwavename = nameofwave(ROIwave)+"_PS"
duplicate /o RPScalcwave $resultwavename
killwaves/z RPScalcwave
return newroinumber
end

