#pragma rtGlobals=1		// Use modern global access method.

Function/wave ReorderROIbyKey(ROIwave, key)
	Wave ROIwave, key
	
	Variable nROIs, nKeys, ii, res
	string outname = nameofwave(ROIwave) + "_sort"
	
	nROIs = -WaveMin(ROIWave)
	nKeys=dimSize(key,0)
	
	
	if(nROIs != nKeys)
		Abort "ROIwave doesn't match key"
	endif
	
	duplicate/o/free ROIwave ROI_sorted
	

	fastop ROI_sorted = ROIwave - (nROIs+1) 
	
	for(ii=0;ii<nROIs;ii+=1)
		res =  -key[ii]-1
		MatrixOP /o ROI_sorted = replace(ROI_sorted, (-key[ii]-1-nROIs-1), -ii-1)
		doupdate
	endfor
	
	MatrixOP /o ROI_sorted = replace(ROI_sorted, -nROIs, 1)
	
	duplicate/o ROI_sorted, $outname
	return $outname
end