#pragma rtGlobals=1		// Use modern global access method.




Function WeightedAverage(Averages, SDs)
wave averages, SDs

if(numpnts(Averages) != numpnts(SDs))
	DoAlert 0, "Averages and SDs must have same number of points!"
	return -1
endif

variable ii, wa_avg, wa_stdev, wa_sum=0, wa_SigmaSquareSum=0

for(ii=0;ii<numpnts(averages);ii+=1)

	wa_sum+=Averages[ii]/(SDs[ii]^2)

	wa_SigmaSquareSum+=1/(SDs[ii]^2)
endfor

wa_avg=wa_sum/wa_SigmaSquareSum

wa_Stdev=1/sqrt(wa_SigmaSquareSum)

printf "Weighted mean = %g\rSD of the weighted mean = %g\r",wa_avg, wa_stdev


return wa_avg
end