#pragma rtGlobals=1		// Use modern global access method.

function zstack2(picwave, outputwave)
wave picwave
string outputwave

variable xdim, ydim, zdim, xcount = 0, ycount = 0, zcount = 0, zsum, xyavg, xyn
string ROIname
xdim = dimsize(picwave, 0)
ydim = dimsize(picwave, 1)
zdim = dimsize(picwave, 2)
make /o/n=(zdim) calcwave

prompt ROIname, "A ROI wave is needed", popup, WaveList("*", ";", "")
doprompt "Select ROI wave", roiname

if (V_Flag)
	print "User canceled"
	return 0
endif

if ((dimsize($roiname, 0) != xdim) & (dimsize($roiname, 1) != ydim))
	print "Selected ROIwave and image have different dimensions."
	print "Canceled by program."
	return 0
endif

make /o/n=(xdim, ydim) roiwave 
wave/z roiwave = $roiname

do
	xcount = 0
	xyavg = 0
	xyn= 0
	do
		ycount = 0
		do
			if (!(roiwave[xcount][ycount]))
				xyavg += picwave[xcount][ycount][zcount]
				xyn += 1
			endif
			ycount += 1
		while (ycount < ydim)
		xcount += 1
	while (xcount < xdim)
	calcwave[zcount] = (xyavg / xyn)
zcount += 1
while (zcount<zdim)	
	
make /o/n=(zdim) $outputwave = calcwave
killwaves /z calcwave, roiwave
end

//////////////////////////////////////////////////////////////////

function zstack(picwave, outputwave)
wave picwave
string outputwave

variable xdim, ydim, zdim, xcount = 0, ycount = 0, zcount = 0, zsum, xyavg, xyn
string ROIname
xdim = dimsize(picwave, 0)
ydim = dimsize(picwave, 1)
zdim = dimsize(picwave, 2)
make /o/n=(zdim) calcwave

//prompt ROIname, "A ROI wave is needed", popup, WaveList("*", ";", "")
//doprompt "Select ROI wave", roiname

//if (V_Flag)
//	print "User canceled"
//	return 0
//endif

if (!WaveExists($"M_ROIMask"))
	print "Make a ROI wave first"
	print "use IGOR Anylysis/Packeges/Image manupulation - ROI"
	print "or use ZStack2 and enter ROI wave from a list"
	return 0
endif

if ((dimsize($"M_ROIMask", 0) != xdim) & (dimsize($"M_ROIMask", 1) != ydim))
	print "The ROIwave and image have different dimensions."
	print "Canceled by program."
	return 0
endif

make /o/n=(xdim, ydim) roiwave 
wave/z roiwave = $"M_ROIMask"

do
	xcount = 0
	xyavg = 0
	xyn= 0
	do
		ycount = 0
		do
			if (!(roiwave[xcount][ycount]))
				xyavg += picwave[xcount][ycount][zcount]
				xyn += 1
			endif
			ycount += 1
		while (ycount < ydim)
		xcount += 1
	while (xcount < xdim)
	calcwave[zcount] = (xyavg / xyn)
zcount += 1
while (zcount<zdim)


	
make /o/n=(zdim) $outputwave = calcwave
killwaves /z calcwave, roiwave
end
