#pragma rtGlobals=1		// Use modern global access method.


Function Bin(wv,number)
wave wv
variable number


variable ii =0, dim, res, jj, pnts
dim=dimsize(wv,0)


pnts=(round(dim/number)) 
make/o/n=(pnts) result
setscale /i x,dimoffset(wv,0),dimdelta(wv,0)*dim,waveunits(wv,0) result

do

	res=0
	for(jj=ii*number;jj<(ii+1)*number;jj+=1)
		if(wv[jj]>0)
			res +=1
		endif
	
	endfor

	result[ii]=res

ii += 1
while (ii<pnts)

result /=(dimdelta(wv,0)*number)	//y scaling




end


Function Avg(ideal,reconstructed, levels,[from,to])

wave ideal, reconstructed, levels
variable from, to

variable ii, pnts, levelcount=0, jj, nlevels

	
nlevels=numpnts(levels)//how many discrete values?
duplicate /o levels M_Avg, M_SD, M_Count
M_Count=0
M_Avg=0
M_SD=0

if(paramisdefault(from))
	from = 0
endif

if(paramisdefault(to))
	pnts=numpnts(ideal)
else
	pnts=to
endif






for(ii=0;ii<nlevels;ii+=1)
	for(jj=from;jj<pnts;jj+=1)

		if(ideal[jj]==levels[ii])
		
			m_avg[ii]+=reconstructed[jj]
			M_Count[ii]+=1
		
		endif

	EndFor
EndFor

m_avg/=m_count

for(ii=0;ii<nlevels;ii+=1)				//calculating SD
	for(jj=from;jj<pnts;jj+=1)

		if(ideal[jj]==levels[ii])
		
			M_SD[ii]+=(m_avg[ii]-reconstructed[jj])^2
				
		endif

	EndFor
EndFor

for(ii=0;ii<nlevels;ii+=1)

	M_SD[ii]=sqrt(M_SD[ii]*(1/(M_count[ii]-1)))

EndFOr



end