#pragma rtGlobals=1		// Use modern global access method.

function circles(xradius, yradius)
variable xradius, yradius
variable counterx, countery, centerx, centery, distance

centerx = round(xradius * 1.5)
centery = round(yradius * 1.5)

make /o/n=(xradius*3,yradius*3) circlewave = 1

counterx = centerx - xradius * 2
do
	countery = centery - yradius * 2
	do
	distance = ((centerx - counterx)^2 / xradius^2 )+ ((centery - countery)^2 / yradius^2) - 1
	
	if ((distance > -0.05) & (distance < 0.05))
	circlewave[counterx][countery] = 0
	endif
	countery +=1
	while (countery <  centery + 2 * yradius)
counterx +=1
while (counterx < centery + 2 * xradius)

display /k=1; appendimage circlewave

end
////////////////////////
function inellipse2(pointx, pointy, xcenter, ycenter, xradius, yradius)
variable pointx, pointy, xcenter, ycenter, xradius, yradius
variable distance

distance = ((xcenter - pointx)^2 / xradius^2 )+ ((ycenter - pointy)^2 / yradius^2) - 1

return distance		//if distance <=0, then the point lies in the ellipse

end
////////////////////////////////

function circlewalk2(inputwave, xcenter, ycenter, xradius, yradius)
wave inputwave
variable xcenter, ycenter, xradius, yradius

variable xstart, ystart, xend, yend, xdim, ydim, xcount, ycount
xdim = dimsize(inputwave, 0)
ydim = dimsize(inputwave, 1)

xstart = xcenter - xradius
ystart = ycenter - yradius
xend = xcenter + xradius
yend = ycenter + yradius

if(xstart < 0)
 xstart = 0 
 endif
 
 if (ystart < 0)
 ystart = 0
 endif
 
 if (xend > xdim)
 xend = xdim
 endif
 
 if (yend > ydim)
 yend = ydim
 endif
 
 ycount = ystart
 do
 	xcount = xstart
 	do
 	//		<----code here
 	xcount +=1
 	while (xcount < xend)
 	
 ycount +=1
 while (ycount < yend) 	
 


end

/////////////////////////////////////////////////////
function center2periphery(inputwave, outputwave, xcenter, ycenter, xradius, yradius)
wave inputwave, outputwave
variable xcenter, ycenter, xradius, yradius

variable xstart, ystart, xend, yend, xdim, ydim, xcount, ycount
variable iteration = 0, xvalue, yvalue, multiplicator1, multiplicator2,xiter, yiter, xitermax, yitermax
xdim = dimsize(inputwave, 0)
ydim = dimsize(inputwave, 1)

xstart = xcenter - xradius
ystart = ycenter - yradius
xend = xcenter + xradius
yend = ycenter + yradius

if(xstart < 0)
 xstart = 0 
 endif
 
 if (ystart < 0)
 ystart = 0
 endif
 
 if (xend > xdim)
 xend = xdim
 endif
 
 if (yend > ydim)
 yend = ydim
 endif
 
xitermax = (2*xradius + 1)
yitermax = (2*yradius + 1)
 
yiter = 0
do



yiter +=1
while (yiter < yitermax)




end

///////////////////////steps

function steps(xrange, yrange)
variable xrange, yrange

variable counter = 1, xpos, ypos, xstart, ystart, distance, xcount, ycount, xval, yval, maxcount
make /o/n=(range * 3) stepstestwave = 0

xpos = round(range * 1.5)
ypos = round(range * 1.5)
xstart = xpos

maxcount = bigger(xrange,yrange)

do
	
	
	
	
	
	
	
while (counter <= maxcount)


if wintype(stepstest)
dowindow /f stepstest
else
display /n=stepstest;
appendimage stepstestwave 
endif


end
////////////////////////
function bigger(a,b)
variable a, b
if (a > b)
return a
else
return b
end

function smaller(a,b)
variable a, b
if (a < b)
return a
else
return b
end